This is a live mirror of the Perl 5 development currently hosted at https://github.com/perl/perl5
Bump the perl version in various places for 5.31.9
authorMatthew Horsfall <wolfsage@gmail.com>
Mon, 20 Jan 2020 17:59:47 +0000 (12:59 -0500)
committerMatthew Horsfall <wolfsage@gmail.com>
Mon, 20 Jan 2020 17:59:47 +0000 (12:59 -0500)
23 files changed:
Cross/config.sh-arm-linux
Cross/config.sh-arm-linux-n770
INSTALL
META.json
META.yml
NetWare/Makefile
NetWare/config_H.wc
Porting/config.sh
Porting/config_H
Porting/perldelta_template.pod
README.haiku
README.macosx
README.os2
README.os390
README.vms
hints/catamount.sh
lib/B/Op_private.pm
patchlevel.h
plan9/config.plan9
plan9/config_sh.sample
win32/GNUmakefile
win32/Makefile
win32/makefile.mk

index 263692b..435359b 100644 (file)
@@ -31,12 +31,12 @@ afsroot='/afs'
 alignbytes='4'
 aphostname='/bin/hostname'
 api_revision='5'
-api_subversion='8'
+api_subversion='9'
 api_version='31'
-api_versionstring='5.31.8'
+api_versionstring='5.31.9'
 ar='ar'
-archlib='/usr/lib/perl5/5.31.8/armv4l-linux'
-archlibexp='/usr/lib/perl5/5.31.8/armv4l-linux'
+archlib='/usr/lib/perl5/5.31.9/armv4l-linux'
+archlibexp='/usr/lib/perl5/5.31.9/armv4l-linux'
 archname64=''
 archname='armv4l-linux'
 archobjs=''
@@ -55,7 +55,7 @@ castflags='0'
 cat='cat'
 cc='cc'
 cccdlflags='-fpic'
-ccdlflags='-rdynamic -Wl,-rpath,/usr/lib/perl5/5.31.8/armv4l-linux/CORE'
+ccdlflags='-rdynamic -Wl,-rpath,/usr/lib/perl5/5.31.9/armv4l-linux/CORE'
 ccflags='-fno-strict-aliasing -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
 ccflags_uselargefiles='-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
 ccname='arm-linux-gcc'
@@ -823,7 +823,7 @@ inc_version_list=' '
 inc_version_list_init='0'
 incpath=''
 inews=''
-installarchlib='./install_me_here/usr/lib/perl5/5.31.8/armv4l-linux'
+installarchlib='./install_me_here/usr/lib/perl5/5.31.9/armv4l-linux'
 installbin='./install_me_here/usr/bin'
 installhtml1dir=''
 installhtml3dir=''
@@ -831,13 +831,13 @@ installman1dir='./install_me_here/usr/share/man/man1'
 installman3dir='./install_me_here/usr/share/man/man3'
 installprefix='./install_me_here/usr'
 installprefixexp='./install_me_here/usr'
-installprivlib='./install_me_here/usr/lib/perl5/5.31.8'
+installprivlib='./install_me_here/usr/lib/perl5/5.31.9'
 installscript='./install_me_here/usr/bin'
-installsitearch='./install_me_here/usr/lib/perl5/site_perl/5.31.8/armv4l-linux'
+installsitearch='./install_me_here/usr/lib/perl5/site_perl/5.31.9/armv4l-linux'
 installsitebin='./install_me_here/usr/bin'
 installsitehtml1dir=''
 installsitehtml3dir=''
-installsitelib='./install_me_here/usr/lib/perl5/site_perl/5.31.8'
+installsitelib='./install_me_here/usr/lib/perl5/site_perl/5.31.9'
 installsiteman1dir='./install_me_here/usr/share/man/man1'
 installsiteman3dir='./install_me_here/usr/share/man/man3'
 installsitescript='./install_me_here/usr/bin'
@@ -971,8 +971,8 @@ pmake=''
 pr=''
 prefix='/usr'
 prefixexp='/usr'
-privlib='/usr/lib/perl5/5.31.8'
-privlibexp='/usr/lib/perl5/5.31.8'
+privlib='/usr/lib/perl5/5.31.9'
+privlibexp='/usr/lib/perl5/5.31.9'
 procselfexe='"/proc/self/exe"'
 prototype='define'
 ptrsize='4'
@@ -1037,17 +1037,17 @@ sig_num='0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26
 sig_num_init='0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 6, 17, 29, 31, 0'
 sig_size='68'
 signal_t='void'
-sitearch='/usr/lib/perl5/site_perl/5.31.8/armv4l-linux'
-sitearchexp='/usr/lib/perl5/site_perl/5.31.8/armv4l-linux'
+sitearch='/usr/lib/perl5/site_perl/5.31.9/armv4l-linux'
+sitearchexp='/usr/lib/perl5/site_perl/5.31.9/armv4l-linux'
 sitebin='/usr/bin'
 sitebinexp='/usr/bin'
 sitehtml1dir=''
 sitehtml1direxp=''
 sitehtml3dir=''
 sitehtml3direxp=''
-sitelib='/usr/lib/perl5/site_perl/5.31.8'
+sitelib='/usr/lib/perl5/site_perl/5.31.9'
 sitelib_stem='/usr/lib/perl5/site_perl'
-sitelibexp='/usr/lib/perl5/site_perl/5.31.8'
+sitelibexp='/usr/lib/perl5/site_perl/5.31.9'
 siteman1dir='/usr/share/man/man1'
 siteman1direxp='/usr/share/man/man1'
 siteman3dir='/usr/share/man/man3'
@@ -1086,7 +1086,7 @@ stdio_stream_array=''
 strerror_r_proto='0'
 strings='/usr/include/string.h'
 submit=''
-subversion='8'
+subversion='9'
 sysman='/usr/share/man/man1'
 tail=''
 tar=''
@@ -1177,8 +1177,8 @@ vendorprefix=''
 vendorprefixexp=''
 vendorscript=''
 vendorscriptexp=''
-version='5.31.8'
-version_patchlevel_string='version 31 subversion 8'
+version='5.31.9'
+version_patchlevel_string='version 31 subversion 9'
 versiononly='undef'
 vi=''
 xlibpth='/usr/lib/386 /lib/386'
@@ -1192,9 +1192,9 @@ config_args=''
 config_argc=0
 PERL_REVISION=5
 PERL_VERSION=31
-PERL_SUBVERSION=8
+PERL_SUBVERSION=9
 PERL_API_REVISION=5
 PERL_API_VERSION=31
-PERL_API_SUBVERSION=8
+PERL_API_SUBVERSION=9
 PERL_PATCHLEVEL=
 PERL_CONFIG_SH=true
index ee8fbbc..07ec08c 100644 (file)
@@ -31,12 +31,12 @@ afsroot='/afs'
 alignbytes='4'
 aphostname='/bin/hostname'
 api_revision='5'
-api_subversion='8'
+api_subversion='9'
 api_version='31'
-api_versionstring='5.31.8'
+api_versionstring='5.31.9'
 ar='ar'
-archlib='/usr/lib/perl5/5.31.8/armv4l-linux'
-archlibexp='/usr/lib/perl5/5.31.8/armv4l-linux'
+archlib='/usr/lib/perl5/5.31.9/armv4l-linux'
+archlibexp='/usr/lib/perl5/5.31.9/armv4l-linux'
 archname64=''
 archname='armv4l-linux'
 archobjs=''
@@ -54,7 +54,7 @@ castflags='0'
 cat='cat'
 cc='arm-none-linux-gnueabi-gcc'
 cccdlflags='-fpic'
-ccdlflags='-rdynamic -Wl,-rpath,/usr/lib/perl5/5.31.8/armv4l-linux/CORE'
+ccdlflags='-rdynamic -Wl,-rpath,/usr/lib/perl5/5.31.9/armv4l-linux/CORE'
 ccflags='-fno-strict-aliasing -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
 ccflags_uselargefiles='-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
 ccname='arm-linux-gcc'
@@ -821,7 +821,7 @@ inc_version_list=' '
 inc_version_list_init='0'
 incpath=''
 inews=''
-installarchlib='./install_me_here/usr/lib/perl5/5.31.8/armv4l-linux'
+installarchlib='./install_me_here/usr/lib/perl5/5.31.9/armv4l-linux'
 installbin='./install_me_here/usr/bin'
 installhtml1dir=''
 installhtml3dir=''
@@ -829,13 +829,13 @@ installman1dir='./install_me_here/usr/share/man/man1'
 installman3dir='./install_me_here/usr/share/man/man3'
 installprefix='./install_me_here/usr'
 installprefixexp='./install_me_here/usr'
-installprivlib='./install_me_here/usr/lib/perl5/5.31.8'
+installprivlib='./install_me_here/usr/lib/perl5/5.31.9'
 installscript='./install_me_here/usr/bin'
-installsitearch='./install_me_here/usr/lib/perl5/site_perl/5.31.8/armv4l-linux'
+installsitearch='./install_me_here/usr/lib/perl5/site_perl/5.31.9/armv4l-linux'
 installsitebin='./install_me_here/usr/bin'
 installsitehtml1dir=''
 installsitehtml3dir=''
-installsitelib='./install_me_here/usr/lib/perl5/site_perl/5.31.8'
+installsitelib='./install_me_here/usr/lib/perl5/site_perl/5.31.9'
 installsiteman1dir='./install_me_here/usr/share/man/man1'
 installsiteman3dir='./install_me_here/usr/share/man/man3'
 installsitescript='./install_me_here/usr/bin'
@@ -969,8 +969,8 @@ pmake=''
 pr=''
 prefix='/usr'
 prefixexp='/usr'
-privlib='/usr/lib/perl5/5.31.8'
-privlibexp='/usr/lib/perl5/5.31.8'
+privlib='/usr/lib/perl5/5.31.9'
+privlibexp='/usr/lib/perl5/5.31.9'
 procselfexe='"/proc/self/exe"'
 prototype='define'
 ptrsize='4'
@@ -1035,17 +1035,17 @@ sig_num='0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26
 sig_num_init='0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 6, 17, 29, 31, 0'
 sig_size='68'
 signal_t='void'
-sitearch='/usr/lib/perl5/site_perl/5.31.8/armv4l-linux'
-sitearchexp='/usr/lib/perl5/site_perl/5.31.8/armv4l-linux'
+sitearch='/usr/lib/perl5/site_perl/5.31.9/armv4l-linux'
+sitearchexp='/usr/lib/perl5/site_perl/5.31.9/armv4l-linux'
 sitebin='/usr/bin'
 sitebinexp='/usr/bin'
 sitehtml1dir=''
 sitehtml1direxp=''
 sitehtml3dir=''
 sitehtml3direxp=''
-sitelib='/usr/lib/perl5/site_perl/5.31.8'
+sitelib='/usr/lib/perl5/site_perl/5.31.9'
 sitelib_stem='/usr/lib/perl5/site_perl'
-sitelibexp='/usr/lib/perl5/site_perl/5.31.8'
+sitelibexp='/usr/lib/perl5/site_perl/5.31.9'
 siteman1dir='/usr/share/man/man1'
 siteman1direxp='/usr/share/man/man1'
 siteman3dir='/usr/share/man/man3'
@@ -1084,7 +1084,7 @@ stdio_stream_array=''
 strerror_r_proto='0'
 strings='/usr/include/string.h'
 submit=''
-subversion='8'
+subversion='9'
 sysman='/usr/share/man/man1'
 tail=''
 tar=''
@@ -1175,8 +1175,8 @@ vendorprefix=''
 vendorprefixexp=''
 vendorscript=''
 vendorscriptexp=''
-version='5.31.8'
-version_patchlevel_string='version 31 subversion 8'
+version='5.31.9'
+version_patchlevel_string='version 31 subversion 9'
 versiononly='undef'
 vi=''
 xlibpth='/usr/lib/386 /lib/386'
@@ -1190,9 +1190,9 @@ config_args=''
 config_argc=0
 PERL_REVISION=5
 PERL_VERSION=31
-PERL_SUBVERSION=8
+PERL_SUBVERSION=9
 PERL_API_REVISION=5
 PERL_API_VERSION=31
-PERL_API_SUBVERSION=8
+PERL_API_SUBVERSION=9
 PERL_PATCHLEVEL=
 PERL_CONFIG_SH=true
diff --git a/INSTALL b/INSTALL
index eb3640e..92d38b9 100644 (file)
--- a/INSTALL
+++ b/INSTALL
@@ -609,7 +609,7 @@ The directories set up by Configure fall into three broad categories.
 
 =item Directories for the perl distribution
 
-By default, Configure will use the following directories for 5.31.8.
+By default, Configure will use the following directories for 5.31.9.
 $version is the full perl version number, including subversion, e.g.
 5.12.3, and $archname is a string like sun4-sunos,
 determined by Configure.  The full definitions of all Configure
@@ -2431,7 +2431,7 @@ L<https://www.chiark.greenend.org.uk/~sgtatham/bugs.html>
 
 =head1 Coexistence with earlier versions of perl 5
 
-Perl 5.31.8 is not binary compatible with earlier versions of Perl.
+Perl 5.31.9 is not binary compatible with earlier versions of Perl.
 In other words, you will have to recompile your XS modules.
 
 In general, you can usually safely upgrade from one stable version of Perl
@@ -2506,9 +2506,9 @@ won't interfere with another version.  (The defaults guarantee this for
 libraries after 5.6.0, but not for executables. TODO?)  One convenient
 way to do this is by using a separate prefix for each version, such as
 
-       sh Configure -Dprefix=/opt/perl5.31.8
+       sh Configure -Dprefix=/opt/perl5.31.9
 
-and adding /opt/perl5.31.8/bin to the shell PATH variable.  Such users
+and adding /opt/perl5.31.9/bin to the shell PATH variable.  Such users
 may also wish to add a symbolic link /usr/local/bin/perl so that
 scripts can still start with #!/usr/local/bin/perl.
 
@@ -2521,13 +2521,13 @@ seriously consider using a separate directory, since development
 subversions may not have all the compatibility wrinkles ironed out
 yet.
 
-=head2 Upgrading from 5.31.7 or earlier
+=head2 Upgrading from 5.31.8 or earlier
 
-B<Perl 5.31.8 may not be binary compatible with Perl 5.31.7 or
+B<Perl 5.31.9 may not be binary compatible with Perl 5.31.8 or
 earlier Perl releases.>  Perl modules having binary parts
 (meaning that a C compiler is used) will have to be recompiled to be
-used with 5.31.8.  If you find you do need to rebuild an extension with
-5.31.8, you may safely do so without disturbing the older
+used with 5.31.9.  If you find you do need to rebuild an extension with
+5.31.9, you may safely do so without disturbing the older
 installations.  (See L<"Coexistence with earlier versions of perl 5">
 above.)
 
@@ -2560,15 +2560,15 @@ Firstly, the bare minimum to run this script
      print("$f\n");
   }
 
-in Linux with perl-5.31.8 is as follows (under $Config{prefix}):
+in Linux with perl-5.31.9 is as follows (under $Config{prefix}):
 
   ./bin/perl
-  ./lib/perl5/5.31.8/strict.pm
-  ./lib/perl5/5.31.8/warnings.pm
-  ./lib/perl5/5.31.8/i686-linux/File/Glob.pm
-  ./lib/perl5/5.31.8/feature.pm
-  ./lib/perl5/5.31.8/XSLoader.pm
-  ./lib/perl5/5.31.8/i686-linux/auto/File/Glob/Glob.so
+  ./lib/perl5/5.31.9/strict.pm
+  ./lib/perl5/5.31.9/warnings.pm
+  ./lib/perl5/5.31.9/i686-linux/File/Glob.pm
+  ./lib/perl5/5.31.9/feature.pm
+  ./lib/perl5/5.31.9/XSLoader.pm
+  ./lib/perl5/5.31.9/i686-linux/auto/File/Glob/Glob.so
 
 Secondly, for perl-5.10.1, the Debian perl-base package contains 591
 files, (of which 510 are for lib/unicore) totaling about 3.5MB in its
index 72a455b..9685fb1 100644 (file)
--- a/META.json
+++ b/META.json
          "url" : "https://github.com/Perl/perl5"
       }
    },
-   "version" : "5.031008",
+   "version" : "5.031009",
    "x_serialization_backend" : "JSON::PP version 4.04"
 }
index ff9fbef..3e6b3e8 100644 (file)
--- a/META.yml
+++ b/META.yml
@@ -116,5 +116,5 @@ resources:
   homepage: https://www.perl.org/
   license: https://dev.perl.org/licenses/
   repository: https://github.com/Perl/perl5
-version: '5.031008'
+version: '5.031009'
 x_serialization_backend: 'CPAN::Meta::YAML version 0.018'
index 2cc3244..8b3c053 100644 (file)
@@ -86,7 +86,7 @@ NLM_VERSION    = 3,20,0
 
 
 # Here comes the CW tools - TO BE FILLED TO BUILD WITH CW -
-MODULE_DESC     = "Perl 5.31.8 for NetWare"
+MODULE_DESC     = "Perl 5.31.9 for NetWare"
 CCTYPE          = CodeWarrior
 C_COMPILER             = mwccnlm -c
 CPP_COMPILER   = mwccnlm
@@ -462,7 +462,7 @@ INST_NW_TOP2 = $(INST_NW_DRV)\perl
 # versioned installation can be obtained by setting INST_TOP above to a
 # path that includes an arbitrary version string.
 #
-INST_VER       = \5.31.8
+INST_VER       = \5.31.9
 
 #
 # Comment this out if you DON'T want your perl installation to have
index 787940c..05c9203 100644 (file)
  *     This symbol contains the ~name expanded version of ARCHLIB, to be used
  *     in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define ARCHLIB "c:\\perl\\5.31.8\\lib\\NetWare-x86-multi-thread"              /**/
+#define ARCHLIB "c:\\perl\\5.31.9\\lib\\NetWare-x86-multi-thread"              /**/
 /*#define ARCHLIB_EXP ""       /**/
 
 /* ARCHNAME:
  *     This symbol is the filename expanded version of the BIN symbol, for
  *     programs that do not want to deal with that at run-time.
  */
-#define BIN "c:\\perl\\5.31.8\\bin\\NetWare-x86-multi-thread"  /**/
-#define BIN_EXP "c:\\perl\\5.31.8\\bin\\NetWare-x86-multi-thread"      /**/
+#define BIN "c:\\perl\\5.31.9\\bin\\NetWare-x86-multi-thread"  /**/
+#define BIN_EXP "c:\\perl\\5.31.9\\bin\\NetWare-x86-multi-thread"      /**/
 
 /* BYTEORDER:
  *     This symbol holds the hexadecimal constant defined in byteorder,
  *     This symbol contains the ~name expanded version of SITEARCH, to be used
  *     in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define SITEARCH "c:\\perl\\site\\5.31.8\\lib\\NetWare-x86-multi-thread"               /**/
+#define SITEARCH "c:\\perl\\site\\5.31.9\\lib\\NetWare-x86-multi-thread"               /**/
 /*#define SITEARCH_EXP ""      /**/
 
 /* SITELIB:
  *     removed.  The elements in inc_version_list (inc_version_list.U) can
  *     be tacked onto this variable to generate a list of directories to search.
  */
-#define SITELIB "c:\\perl\\site\\5.31.8\\lib"          /**/
+#define SITELIB "c:\\perl\\site\\5.31.9\\lib"          /**/
 /*#define SITELIB_EXP ""       /**/
 #define SITELIB_STEM ""                /**/
 
index 6d62054..5ab99c1 100644 (file)
@@ -44,12 +44,12 @@ afsroot='/afs'
 alignbytes='8'
 aphostname=''
 api_revision='5'
-api_subversion='8'
+api_subversion='9'
 api_version='31'
-api_versionstring='5.31.8'
+api_versionstring='5.31.9'
 ar='ar'
-archlib='/opt/perl/lib/5.31.8/x86_64-linux'
-archlibexp='/opt/perl/lib/5.31.8/x86_64-linux'
+archlib='/opt/perl/lib/5.31.9/x86_64-linux'
+archlibexp='/opt/perl/lib/5.31.9/x86_64-linux'
 archname64=''
 archname='x86_64-linux'
 archobjs=''
@@ -847,7 +847,7 @@ incpath=''
 incpth='/usr/lib/gcc/x86_64-linux-gnu/4.9/include /usr/local/include /usr/lib/gcc/x86_64-linux-gnu/4.9/include-fixed /usr/include/x86_64-linux-gnu /usr/include'
 inews=''
 initialinstalllocation='/opt/perl/bin'
-installarchlib='/opt/perl/lib/5.31.8/x86_64-linux'
+installarchlib='/opt/perl/lib/5.31.9/x86_64-linux'
 installbin='/opt/perl/bin'
 installhtml1dir=''
 installhtml3dir=''
@@ -855,13 +855,13 @@ installman1dir='/opt/perl/man/man1'
 installman3dir='/opt/perl/man/man3'
 installprefix='/opt/perl'
 installprefixexp='/opt/perl'
-installprivlib='/opt/perl/lib/5.31.8'
+installprivlib='/opt/perl/lib/5.31.9'
 installscript='/opt/perl/bin'
-installsitearch='/opt/perl/lib/site_perl/5.31.8/x86_64-linux'
+installsitearch='/opt/perl/lib/site_perl/5.31.9/x86_64-linux'
 installsitebin='/opt/perl/bin'
 installsitehtml1dir=''
 installsitehtml3dir=''
-installsitelib='/opt/perl/lib/site_perl/5.31.8'
+installsitelib='/opt/perl/lib/site_perl/5.31.9'
 installsiteman1dir='/opt/perl/man/man1'
 installsiteman3dir='/opt/perl/man/man3'
 installsitescript='/opt/perl/bin'
@@ -986,7 +986,7 @@ perl_patchlevel=''
 perl_static_inline='static __inline__'
 perladmin='yourname@yourhost.yourplace.com'
 perllibs='-lpthread -lnsl -ldl -lm -lcrypt -lutil -lc'
-perlpath='/opt/perl/bin/perl5.31.8'
+perlpath='/opt/perl/bin/perl5.31.9'
 pg='pg'
 phostname=''
 pidtype='pid_t'
@@ -995,8 +995,8 @@ pmake=''
 pr=''
 prefix='/opt/perl'
 prefixexp='/opt/perl'
-privlib='/opt/perl/lib/5.31.8'
-privlibexp='/opt/perl/lib/5.31.8'
+privlib='/opt/perl/lib/5.31.9'
+privlibexp='/opt/perl/lib/5.31.9'
 procselfexe='"/proc/self/exe"'
 ptrsize='8'
 quadkind='2'
@@ -1061,17 +1061,17 @@ sig_num='0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26
 sig_num_init='0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 6, 17, 29, 31, 0'
 sig_size='69'
 signal_t='void'
-sitearch='/opt/perl/lib/site_perl/5.31.8/x86_64-linux'
-sitearchexp='/opt/perl/lib/site_perl/5.31.8/x86_64-linux'
+sitearch='/opt/perl/lib/site_perl/5.31.9/x86_64-linux'
+sitearchexp='/opt/perl/lib/site_perl/5.31.9/x86_64-linux'
 sitebin='/opt/perl/bin'
 sitebinexp='/opt/perl/bin'
 sitehtml1dir=''
 sitehtml1direxp=''
 sitehtml3dir=''
 sitehtml3direxp=''
-sitelib='/opt/perl/lib/site_perl/5.31.8'
+sitelib='/opt/perl/lib/site_perl/5.31.9'
 sitelib_stem='/opt/perl/lib/site_perl'
-sitelibexp='/opt/perl/lib/site_perl/5.31.8'
+sitelibexp='/opt/perl/lib/site_perl/5.31.9'
 siteman1dir='/opt/perl/man/man1'
 siteman1direxp='/opt/perl/man/man1'
 siteman3dir='/opt/perl/man/man3'
@@ -1097,7 +1097,7 @@ src='.'
 ssizetype='ssize_t'
 st_ino_sign='1'
 st_ino_size='8'
-startperl='#!/opt/perl/bin/perl5.31.8'
+startperl='#!/opt/perl/bin/perl5.31.9'
 startsh='#!/bin/sh'
 static_ext=' '
 stdchar='char'
@@ -1109,7 +1109,7 @@ stdio_ptr='((fp)->_IO_read_ptr)'
 stdio_stream_array=''
 strerror_r_proto='0'
 submit=''
-subversion='8'
+subversion='9'
 sysman='/usr/share/man/man1'
 sysroot=''
 tail=''
@@ -1207,8 +1207,8 @@ vendorprefix=''
 vendorprefixexp=''
 vendorscript=''
 vendorscriptexp=''
-version='5.31.8'
-version_patchlevel_string='version 31 subversion 8'
+version='5.31.9'
+version_patchlevel_string='version 31 subversion 9'
 versiononly='define'
 vi=''
 xlibpth='/usr/lib/386 /lib/386'
@@ -1218,10 +1218,10 @@ zcat=''
 zip='zip'
 PERL_REVISION=5
 PERL_VERSION=31
-PERL_SUBVERSION=8
+PERL_SUBVERSION=9
 PERL_API_REVISION=5
 PERL_API_VERSION=31
-PERL_API_SUBVERSION=8
+PERL_API_SUBVERSION=9
 PERL_PATCHLEVEL=''
 PERL_CONFIG_SH=true
 : Variables propagated from previous config.sh file.
index c84b76b..eb20991 100644 (file)
  *     This symbol contains the ~name expanded version of ARCHLIB, to be used
  *     in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define ARCHLIB "/opt/perl/lib/5.31.8/x86_64-linux"            /**/
-#define ARCHLIB_EXP "/opt/perl/lib/5.31.8/x86_64-linux"                /**/
+#define ARCHLIB "/opt/perl/lib/5.31.9/x86_64-linux"            /**/
+#define ARCHLIB_EXP "/opt/perl/lib/5.31.9/x86_64-linux"                /**/
 
 /* BIN:
  *     This symbol holds the path of the bin directory where the package will
  *     This symbol contains the ~name expanded version of PRIVLIB, to be used
  *     in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define PRIVLIB "/opt/perl/lib/5.31.8"         /**/
-#define PRIVLIB_EXP "/opt/perl/lib/5.31.8"             /**/
+#define PRIVLIB "/opt/perl/lib/5.31.9"         /**/
+#define PRIVLIB_EXP "/opt/perl/lib/5.31.9"             /**/
 
 /* SITEARCH:
  *     This symbol contains the name of the private library for this package.
  *     This symbol contains the ~name expanded version of SITEARCH, to be used
  *     in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define SITEARCH "/opt/perl/lib/site_perl/5.31.8/x86_64-linux"         /**/
-#define SITEARCH_EXP "/opt/perl/lib/site_perl/5.31.8/x86_64-linux"             /**/
+#define SITEARCH "/opt/perl/lib/site_perl/5.31.9/x86_64-linux"         /**/
+#define SITEARCH_EXP "/opt/perl/lib/site_perl/5.31.9/x86_64-linux"             /**/
 
 /* SITELIB:
  *     This symbol contains the name of the private library for this package.
  *     removed.  The elements in inc_version_list (inc_version_list.U) can
  *     be tacked onto this variable to generate a list of directories to search.
  */
-#define SITELIB "/opt/perl/lib/site_perl/5.31.8"               /**/
-#define SITELIB_EXP "/opt/perl/lib/site_perl/5.31.8"           /**/
+#define SITELIB "/opt/perl/lib/site_perl/5.31.9"               /**/
+#define SITELIB_EXP "/opt/perl/lib/site_perl/5.31.9"           /**/
 #define SITELIB_STEM "/opt/perl/lib/site_perl"         /**/
 
 /* PERL_VENDORARCH:
  *     script to make sure (one hopes) that it runs with perl and not
  *     some shell.
  */
-#define STARTPERL "#!/opt/perl/bin/perl5.31.8"         /**/
+#define STARTPERL "#!/opt/perl/bin/perl5.31.9"         /**/
 
 /* HAS_STDIO_STREAM_ARRAY:
  *     This symbol, if defined, tells that there is an array
index 15d6a22..0ebae8d 100644 (file)
@@ -403,7 +403,7 @@ died, add a short obituary here.
 
 XXX Generate this with:
 
-  perl Porting/acknowledgements.pl v5.31.8..HEAD
+  perl Porting/acknowledgements.pl v5.31.9..HEAD
 
 =head1 Reporting Bugs
 
index ab0ba01..bf94641 100644 (file)
@@ -22,9 +22,9 @@ The build procedure is completely standard:
 Make perl executable and create a symlink for libperl:
 
   chmod a+x /boot/common/bin/perl
-  cd /boot/common/lib; ln -s perl5/5.31.8/BePC-haiku/CORE/libperl.so .
+  cd /boot/common/lib; ln -s perl5/5.31.9/BePC-haiku/CORE/libperl.so .
 
-Replace C<5.31.8> with your respective version of Perl.
+Replace C<5.31.9> with your respective version of Perl.
 
 =head1 KNOWN PROBLEMS
 
index 599f2e5..1d37693 100644 (file)
@@ -10,9 +10,9 @@ perlmacosx - Perl under Mac OS X
 
 This document briefly describes Perl under Mac OS X.
 
-  curl -O https://www.cpan.org/src/perl-5.31.8.tar.gz
-  tar -xzf perl-5.31.8.tar.gz
-  cd perl-5.31.8
+  curl -O https://www.cpan.org/src/perl-5.31.9.tar.gz
+  tar -xzf perl-5.31.9.tar.gz
+  cd perl-5.31.9
   ./Configure -des -Dprefix=/usr/local/
   make
   make test
@@ -20,7 +20,7 @@ This document briefly describes Perl under Mac OS X.
 
 =head1 DESCRIPTION
 
-The latest Perl release (5.31.8 as of this writing) builds without changes
+The latest Perl release (5.31.9 as of this writing) builds without changes
 under all versions of Mac OS X from 10.3 "Panther" onwards. 
 
 In order to build your own version of Perl you will need 'make',
index 6ee4462..2808d0f 100644 (file)
@@ -619,7 +619,7 @@ C<set PERLLIB_PREFIX> in F<Config.sys>, see L</"C<PERLLIB_PREFIX>">.
 
 =item Additional Perl modules
 
-  unzip perl_ste.zip -d f:/perllib/lib/site_perl/5.31.8/
+  unzip perl_ste.zip -d f:/perllib/lib/site_perl/5.31.9/
 
 Same remark as above applies.  Additionally, if this directory is not
 one of directories on @INC (and @INC is influenced by C<PERLLIB_PREFIX>), you
index 6afa112..03ae5f7 100644 (file)
@@ -452,7 +452,7 @@ Updated 12 March    2001 to mention //'SYS1.TCPPARMS(TCPDATA)'.
 
 Updated 28 November 2001 for broken URLs.
 
-Updated 03 October  2019 for perl-5.31.8+
+Updated 03 October  2019 for perl-5.31.9+
 
 =cut
 
index d46d68b..9e9bf1b 100644 (file)
@@ -142,11 +142,11 @@ You may need to set up a foreign symbol for the unpacking utility of
 choice.  Once you have done so, use a command like the following to
 unpack the archive:
 
-    vmstar -xvf perl-5^.31^.8.tar
+    vmstar -xvf perl-5^.31^.9.tar
 
 Then set default to the top-level source directory like so:
 
-    set default [.perl-5^.31^.8]
+    set default [.perl-5^.31^.9]
 
 and proceed with configuration as described in the next section.
 
index 8649ef4..7d5748b 100644 (file)
 # mkdir -p /opt/perl-catamount
 # mkdir -p /opt/perl-catamount/include
 # mkdir -p /opt/perl-catamount/lib
-# mkdir -p /opt/perl-catamount/lib/perl5/5.31.8
+# mkdir -p /opt/perl-catamount/lib/perl5/5.31.9
 # mkdir -p /opt/perl-catamount/bin
 # cp *.h /opt/perl-catamount/include
 # cp libperl.a /opt/perl-catamount/lib
-# cp -pr lib/* /opt/perl-catamount/lib/perl5/5.31.8
+# cp -pr lib/* /opt/perl-catamount/lib/perl5/5.31.9
 # cp miniperl perl run.sh cc.sh /opt/perl-catamount/lib
 #
 # With the headers and the libperl.a you can embed Perl to your Catamount
index cd25e8e..572c900 100644 (file)
@@ -118,7 +118,7 @@ package B::Op_private;
 our %bits;
 
 
-our $VERSION = "5.031008";
+our $VERSION = "5.031009";
 
 $bits{$_}{3} = 'OPpENTERSUB_AMPER' for qw(entersub rv2cv);
 $bits{$_}{6} = 'OPpENTERSUB_DB' for qw(entersub rv2cv);
index 25e3243..163483b 100644 (file)
@@ -15,7 +15,7 @@
 
 #define PERL_REVISION  5               /* age */
 #define PERL_VERSION   31              /* epoch */
-#define PERL_SUBVERSION        8               /* generation */
+#define PERL_SUBVERSION        9               /* generation */
 
 /* The following numbers describe the earliest compatible version of
    Perl ("compatibility" here being defined as sufficient binary/API
@@ -36,7 +36,7 @@
 */
 #define PERL_API_REVISION      5
 #define PERL_API_VERSION       31
-#define PERL_API_SUBVERSION    8
+#define PERL_API_SUBVERSION    9
 /*
    XXX Note:  The selection of non-default Configure options, such
    as -Duselonglong may invalidate these settings.  Currently, Configure
index f838c8c..0bc3f74 100644 (file)
  *     This symbol contains the ~name expanded version of PRIVLIB, to be used
  *     in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define PRIVLIB "/sys/lib/perl/5.31.8"         /**/
-#define PRIVLIB_EXP "/sys/lib/perl/5.31.8"             /**/
+#define PRIVLIB "/sys/lib/perl/5.31.9"         /**/
+#define PRIVLIB_EXP "/sys/lib/perl/5.31.9"             /**/
 
 /* PTRSIZE:
  *     This symbol contains the size of a pointer, so that the C preprocessor
  *     removed.  The elements in inc_version_list (inc_version_list.U) can
  *     be tacked onto this variable to generate a list of directories to search.
  */
-#define SITELIB "/sys/lib/perl/5.31.8/site_perl"               /**/
-#define SITELIB_EXP "/sys/lib/perl/5.31.8/site_perl"           /**/
-#define SITELIB_STEM "/sys/lib/perl/5.31.8/site_perl"          /**/
+#define SITELIB "/sys/lib/perl/5.31.9/site_perl"               /**/
+#define SITELIB_EXP "/sys/lib/perl/5.31.9/site_perl"           /**/
+#define SITELIB_STEM "/sys/lib/perl/5.31.9/site_perl"          /**/
 
 /* Size_t_size:
  *     This symbol holds the size of a Size_t in bytes.
index a9bd329..e6ea72b 100644 (file)
@@ -31,12 +31,12 @@ afsroot='/afs'
 alignbytes='4'
 aphostname='/bin/uname -n'
 api_revision='5'
-api_subversion='8'
+api_subversion='9'
 api_version='31'
-api_versionstring='5.31.8'
+api_versionstring='5.31.9'
 ar='ar'
-archlib='/sys/lib/perl5/5.31.8/386'
-archlibexp='/sys/lib/perl5/5.31.8/386'
+archlib='/sys/lib/perl5/5.31.9/386'
+archlibexp='/sys/lib/perl5/5.31.9/386'
 archname64=''
 archname='386'
 archobjs=''
@@ -817,17 +817,17 @@ inc_version_list=' '
 inc_version_list_init='0'
 incpath=''
 inews=''
-installarchlib='/sys/lib/perl/5.31.8/386'
+installarchlib='/sys/lib/perl/5.31.9/386'
 installbin='/usr/bin'
 installman1dir='/sys/man/1pub'
 installman3dir='/sys/man/2pub'
 installprefix='/usr'
 installprefixexp='/usr'
-installprivlib='/sys/lib/perl/5.31.8'
+installprivlib='/sys/lib/perl/5.31.9'
 installscript='/usr/bin'
-installsitearch='/sys/lib/perl/5.31.8/site_perl/386'
+installsitearch='/sys/lib/perl/5.31.9/site_perl/386'
 installsitebin='/usr/bin'
-installsitelib='/sys/lib/perl/5.31.8/site_perl'
+installsitelib='/sys/lib/perl/5.31.9/site_perl'
 installstyle='lib/perl5'
 installusrbinperl='undef'
 installvendorarch=''
@@ -952,8 +952,8 @@ pmake=''
 pr=''
 prefix='/usr'
 prefixexp='/usr'
-privlib='/sys/lib/perl/5.31.8'
-privlibexp='/sys/lib/perl/5.31.8'
+privlib='/sys/lib/perl/5.31.9'
+privlibexp='/sys/lib/perl/5.31.9'
 procselfexe=''
 prototype='define'
 ptrsize='4'
@@ -1018,13 +1018,13 @@ sig_num='0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26
 sig_num_init='0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 0'
 sig_size='50'
 signal_t='void'
-sitearch='/sys/lib/perl/5.31.8/site_perl/386'
+sitearch='/sys/lib/perl/5.31.9/site_perl/386'
 sitearchexp='/sys/lib/perl/site_perl/386'
 sitebin='/usr/bin'
 sitebinexp='/usr/bin'
-sitelib='/sys/lib/perl/5.31.8/site_perl'
-sitelib_stem='/sys/lib/perl/5.31.8/site_perl'
-sitelibexp='/sys/lib/perl/5.31.8/site_perl'
+sitelib='/sys/lib/perl/5.31.9/site_perl'
+sitelib_stem='/sys/lib/perl/5.31.9/site_perl'
+sitelibexp='/sys/lib/perl/5.31.9/site_perl'
 siteprefix='/usr'
 siteprefixexp='/usr'
 sizesize='4'
@@ -1057,7 +1057,7 @@ stdio_stream_array=''
 strerror_r_proto='0'
 strings='/sys/include/ape/string.h'
 submit=''
-subversion='8'
+subversion='9'
 sysman='/sys/man/1pub'
 tail=''
 tar=''
@@ -1138,8 +1138,8 @@ vendorlib_stem=''
 vendorlibexp=''
 vendorprefix=''
 vendorprefixexp=''
-version='5.31.8'
-version_patchlevel_string='version 31 subversion 8'
+version='5.31.9'
+version_patchlevel_string='version 31 subversion 9'
 versiononly='undef'
 vi=''
 xlibpth=''
@@ -1153,9 +1153,9 @@ config_args=''
 config_argc=0
 PERL_REVISION=5
 PERL_VERSION=31
-PERL_SUBVERSION=8
+PERL_SUBVERSION=9
 PERL_API_REVISION=5
 PERL_API_VERSION=31
-PERL_API_SUBVERSION=8
+PERL_API_SUBVERSION=9
 PERL_PATCHLEVEL=
 PERL_CONFIG_SH=true
index 1688026..211e30c 100644 (file)
@@ -64,7 +64,7 @@ INST_TOP := $(INST_DRV)\perl
 # versioned installation can be obtained by setting INST_TOP above to a
 # path that includes an arbitrary version string.
 #
-#INST_VER      := \5.31.8
+#INST_VER      := \5.31.9
 
 #
 # Comment this out if you DON'T want your perl installation to have
index e563d7e..6e9eceb 100644 (file)
@@ -38,7 +38,7 @@ INST_TOP      = $(INST_DRV)\perl
 # versioned installation can be obtained by setting INST_TOP above to a
 # path that includes an arbitrary version string.
 #
-#INST_VER      = \5.31.8
+#INST_VER      = \5.31.9
 
 #
 # Comment this out if you DON'T want your perl installation to have
index dfcba33..7b95e76 100644 (file)
@@ -45,7 +45,7 @@ INST_TOP      *= $(INST_DRV)\perl
 # versioned installation can be obtained by setting INST_TOP above to a
 # path that includes an arbitrary version string.
 #
-#INST_VER      *= \5.31.8
+#INST_VER      *= \5.31.9
 
 #
 # Comment this out if you DON'T want your perl installation to have